Piloterr

Amazon Product Offer

Efficiently extract details of third-party seller offers for any Amazon product across multiple marketplaces.

Credit cost: 1 credit per call

GET
/v2/amazon/product/offer

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

Amazon product ASIN (Amazon Standard Identification Number) to retrieve third-party seller offers for.

Example:

B093C9B1HK

Notes:

  • The ASIN is a 10-character alphanumeric code visible in the product URL on Amazon (e.g. amazon.com/dp/B093C9B1HK).
  • Only products with active third-party offers will return results — products sold exclusively by Amazon may return an empty list.
domain?string

Amazon domain extension to query. Controls which Amazon marketplace is targeted.

  • com: Amazon United States (default)
  • fr: Amazon France
  • de: Amazon Germany
  • co.uk: Amazon United Kingdom
  • it: Amazon Italy
  • es: Amazon Spain
  • ca: Amazon Canada
  • co.jp: Amazon Japan
  • com.br: Amazon Brazil
  • com.mx: Amazon Mexico
  • in: Amazon India
Default"com"
page?number

Page number for paginated offer results.

Note: Use this parameter to paginate through multiple pages of offers when a product has many third-party sellers.

Default"1"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/amazon/product/offer?query=string"
{
  "results": [
    {
      "asin": "B093C9B1HK",
      "price": 16.21,
      "seller_url": "https://www.amazon.fr/Amazon-Offres-Reconditionnees/b?ie=UTF8&node=3581943031",
      "seller_name": "Amazon Seconde main",
      "delivery_info": {
        "time": "vendredi 23 mai",
        "type": "Livraison",
        "price": "GRATUITE"
      },
      "discount_percentage": 0
    },
    {
      "asin": "B093C9B1HK",
      "price": 19.99,
      "seller_url": "https://www.amazon.fr/gp/aag/main?ie=UTF8&seller=A1C2OJL0SJT92U&isAmazonFulfilled=1&asin=B093C9B1HK",
      "seller_name": "TwistedMarket",
      "delivery_info": {
        "time": "vendredi 23 mai",
        "type": "Livraison",
        "price": "GRATUITE"
      },
      "seller_rating": "Nouveau vendeur",
      "discount_percentage": 13
    },
    {
      "asin": "B093C9B1HK",
      "price": 22,
      "seller_url": "https://www.amazon.fr/gp/aag/main?ie=UTF8&seller=A3ET0BYK0UPCYZ&isAmazonFulfilled=0&asin=B093C9B1HK",
      "seller_name": "BINIMEKS",
      "delivery_info": {
        "time": "26 - 27 mai",
        "type": "Livraison",
        "price": "GRATUITE"
      },
      "seller_rating": "L'évaluation du vendeur est de 4 étoiles sur 5(13632 évaluations)81 % positif(s) au cours des 12 derniers mois",
      "discount_percentage": 4
    },
    {
      "asin": "B093C9B1HK",
      "price": 18.99,
      "seller_url": "https://www.amazon.fr/gp/aag/main?ie=UTF8&seller=A066248065M1IW1TJ2D&isAmazonFulfilled=0&asin=B093C9B1HK",
      "seller_name": "Conrad Electronic France",
      "delivery_info": {
        "time": "22 - 24 mai",
        "type": "Livraison",
        "price": "à 5,90 €"
      },
      "seller_rating": "L'évaluation du vendeur est de 4 étoiles sur 5(10679 évaluations)71 % positif(s) au cours des 12 derniers mois",
      "discount_percentage": 17
    }
  ]
}
{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}